Losekompensation (A5)

1.1 EinleitungPAGEREF _Toc68940267 \h2

1.2 Beschreibung 3

1.3 Parameter 6

1.3.1 Übersicht 6

1.3.2 Beschreibung 6

Mehr:

button Einleitung

button Beschreibung

button Parameter


Einleitung

Aufgabe

Die Losekompensation dient dazu, die Abweichung zwischen tatsächlicher und berechneter Istposition einer Achse, die durch mechanische Lose erzeugt wird, zu kompensieren.

Wirksamkeit

q Die Losekompensation kann für alle Achstypen aktiviert werden.

Parametrierung

In bezug auf die Losekompensation können

q die Art der mechanischen Lose P-AXIS-00021

q die Größe der mechanischen Lose P-AXIS-00103

q die Verteilung der mechanischen Lose P-AXIS-00243

im Achsparameterdatensatz [AXIS] parametriert werden.


Beschreibung

Mechanische Lose

Als mechanische Lose wird das Spiel zwischen Antrieb und einem bewegten Maschinenteil oder zwischen einem Geber und einem bewegten Maschinenteil bezeichnet. Durch die mechanische Lose ergibt sich für ein bewegtes Maschinenteil eine Abweichung zwischen kommandierter Position und der tatsächlichen Istposition. Dies wirkt sich insbesondere bei der Bewegungsrichtungsumkehr aus.

Es wird bei der mechanischen Lose zwischen den nachfolgend erläuterten Arten unterschieden:

Positive Lose

Die positive Lose tritt bei Systemen auf, bei denen das Meßsystem direkt mit dem Antrieb verbunden ist und die Lose zwischen Antrieb und bewegtem Maschinenteil auftritt. Bei einer Bewegungsrichtungsumkehr wird das Meßsystem eine Positionsänderung detektieren, obwohl sich das Maschinenteil bedingt durch die Lose noch nicht bewegt. Dies führt dazu, dass das Maschinenteil nicht die kommandierte Position erreicht, sondern um den Betrag der Lose zu kurz verfährt, da der Geber der indirekt die Position des Maschinenteils misst, der tatsächlichen Istposition des Maschinenteils vorauseilt.

Abbildung 1-1: Positive Lose

Negative Lose

Die negative Lose tritt bei Systemen auf, bei denen die Lose zwischen dem bewegten Maschinenteil und dem Meßsystem auftritt. Bei einer Bewegungsumkehr verfährt das Maschinenteil unmittelbar in die neue Richtung, ohne dass das Meßsystem eine Positionsänderung detektiert. In diesem Fall verfährt das Maschinenteil um die Lose weiter als durch die Kommandierung erforderlich ist, da der Geber, der die Position des Maschinenteils direkt misst, der tatsächlichen Position des Maschinenteils nacheilt.

Abbildung 1-2: Negative Lose

Losekompensation

Die Auswirkung der Lose kann bei allen Antriebstypen kompensiert werden.

Die Größe der Lose P-AXIS-00103 wird bei der Lageregelung in Abhängigkeit von der Art der auftretenden mechanischen Lose P-AXIS-00021 berücksichtigt und wirkt sich auf die Berechnung der Führungsgrößen aus.

Die Ausgabe der absoluten Istposition des bewegten Maschinenteils beinhaltet die Kompensationswerte nicht und stellt somit die Position einer idealen Maschine dar.

Wirkung

Bei angewählter Losekompensation ist diese unmittelbar nach dem Hochfahren der Steuerung aktiv, unabhängig davon, ob eine Referenzpunktfahrt durchgeführt wurde.

Durch den Algorithmus wird die Lose im ersten Takt der Verfahrbewegung kompensiert. Bei einer großen Lose kann das eine starke Anregung der Maschine bewirken. Um dies zu vermeiden, kann das Ausfahren der Lose über mehrere Lagereglerzyklen verteilt werden P-AXIS-00243.


Parameter

Mehr:

button Übersicht

button Beschreibung


Übersicht

ID | Parameter | Beschreibung
P-AXIS-00021 | anwahl_losekomp | Anwahl und Art der mechanischen Lose
P-AXIS-00103 | lose | Größe der mechanischen Lose
P-AXIS-00243 | n_backlash_cyc | Verteilung der mechanischen Lose


Beschreibung

P-AXIS-00021

Anwahl und Art der mechanischen Lose

Parameter

lr_param.anwahl_losekomp

Beschreibung

0 Es findet keine Losekompensation statt

1 Losekompensation aktiviert.
Letzte Verfahrrichtung bei Inbetriebnahme erfolgte in positiver Verfahrrichtung.

2 Losekompensation aktiviert.
Letzte Verfahrrichtung bei Inbetriebnahme erfolgte in negativer Verfahrrichtung.

Datentyp

UNS16

Datenbereich

0 ≤ P-AXIS-00021 ≤ 2

Dimension

translatorisch: -

rotatorisch: -

Standardwert

0

Anmerkungen

Für Meßsysteme mit Gebern, die absolute Messwerte liefern, ist bei der Aktivierung der Losekompensation die letzte Verfahrrichtung bei der Inbetriebnahme zu berücksichtigen, da diese die Korrektur der tatsächlichen Istposition des bewegten Maschinenteils beeinflusst. Entsprechend ist der Wert für die Anwahl der Losekompensation zu wählen.

Für Meßsysteme mit Gebern, die relative Messwerte liefern existiert diese Abhängigkeit nicht. Aus diesem Grund besitzen die Werte 1 und 2 bei der Anwahl der Losekompensation dieselbe Bedeutung, dass die Loseanwahl aktiviert wird.

P-AXIS-00103 | Größe der mechanischen Lose
Parameter | getriebe[i].lose
Beschreibung | getriebe[i].lose < 0 negative Lose, Lose zwischen bewegtem Maschinenteil und Istwertgeber getriebe[i].lose = 0 keine Lose definiert getriebe[i].lose > 0 positive Lose, Lose zwischen Antrieb und bewegtem Maschinenteil
Datentyp | SGN16
Datenbereich | MIN(SGN16) ≤ P-AXIS-00103 ≤ MAX(SGN16)
Dimension | translatorisch: 0,1µm | rotatorisch: 0,0001°
Standardwert | 0
Anmerkungen | -

P-AXIS-00243

Verteilung der mechanischen Lose

Parameter

lr_param.n_backlash_cyc

Beschreibung

Verteilung des Umkehrspiels (Lose) auf eine Anzahl von Lagereglerzyklen. Die Verteilung wird entsprechend einer sin^2  Funktion vorgenommen.

0 bzw. 1: Lose wird sprungförmig innerhalb eines Zyklus an den Antrieb ausgegeben.

>1: Verteilung der Lose entsprechend der sin^2-Funktion.

Datentyp

UNS16

Datenbereich

0 < P-AXIS-00243 < 100

Dimension

translatorisch: -

rotatorisch: -

Standardwert

0

Anmerkungen

Durch Verwendung dieses Parameters werden noch größere Fehler am Werkstück vermieden, weil bei einer großen Lose die Maschine weniger stark angeregt wird.

Der Parameter wird auch bei einer doppelseitigen Spindelsteigungsfehlerkompensation verwendet, wenn eine Richtungsumkehr stattfindet.